--- title: "Static Map" slug: "ai-naver-mapsstaticmap-raster" tags: ["Maps", "Static Map"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-naver-mapsstaticmap-raster" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Static Map Available in VPC Load a NAVER Maps image (static map) of the specified size based on the entered coordinates without using JavaScript or loading a dynamic page. You can customize the map image through the supported parameters (map type, image format, resolution, markers, etc.). ## Request This section describes the request format. | Method | URI | Description | | --- | --- | --- | | GET | /raster | ID-KEY authentication | | GET | /raster-cors | HTTP Referer authentication | Note - To call the API using the HTTP Referer authentication method, you must enter the web service URL when registering your application. See the following guides. - [Application user guide](https://guide.ncloud-docs.com/docs/en/naveropenapiv3-application#Application%EB%93%B1%EB%A1%9D%EB%B0%A9%EB%B2%95) - [Subscribe to Maps](https://guide.ncloud-docs.com/docs/en/maps-app#maps-%EC%9D%B4%EC%9A%A9-%EC%8B%A0%EC%B2%AD) - If you're using the HTTP Referer authentication method, you can make the request by adding an HTML tag as follows: ``` ``` ### Request headers For information about the headers common to all Maps APIs, see [Common Maps headers](/docs/en/ainaverapi-maps-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `crs` | String | Optional | Coordinate system - `EPSG:4326` (default) \| `NHN:2048` \| `NHN:128` \| `EPSG:4258` \| `EPSG:4162` \| `EPSG:2096` \| `EPSG:2097` \| `EPSG:2098` \| `EPSG:3857` \| `EPSG:900913` \| `EPSG:5179` - `EPSG:4326`: WGS84 longitude and latitude - `NHN:2048`: UTM-K - `NHN:128`: KATECH(TM128) - `EPSG:4258`: GRS80 longitude and latitude - `EPSG:4162`: Bessel longitude and latitude - `EPSG:2096`: Korea East Belt - `EPSG:2097`: Korea Central Belt - `EPSG:2098`: Korea West Belt - `EPSG:3857`, `EPSG:900913`: Google Maps - `EPSG:5179`: Korea 2000 / Unified CS | | `center` | String | Conditional | Center coordinates (X coordinate,Y coordinate) - X coordinate, Y coordinate order depends on coordinate system definition. - e.g., WGS84 longitude and latitude coordinate system: `center = longitude, latitude` - Must be entered when not entering `markers`. - Must be entered when entering `level`. | | `level` | Integer | Conditional | Zoom level - 0-20 - Must be entered when not entering `markers`. - Must be entered when entering `level`. | | `w`, `h` | Integer | Required | Image width and height - Support for 1 to 1024 pixels in the `w=int&h=int` format. - `w`: Width - `h`: Height | | `maptype` | String | Optional | Map type - `basic` (default) \| `traffic` \| `satellite` \| `satellite_base` \| `terrain` - `basic`: General map - `traffic`: Traffic information map (based on general map) - `satellite`: Satellite map - `satellite_base`: Satellite background map - `terrain`: Terrain map | | `format` | String | Optional | Map image format - `jpg`/`jpeg` (default) \| `png8` \| `png` - `jpg`/`jpeg`: 85% compression quality, 24-bit - `png8`: 8-bit - `png`: 24-bit | | `scale` | Integer | Optional | Resolution - `1` (default) \| `2` - `1`: Request image for low resolution. Create and return an image of the requested size `w`, `h`, based on 256 x 256 tiles. - `2`: Request image for high resolution. Create and return an image of the requested size `w`, `h` based on 512 x 512 tiles (return the same map coverage as `scale=1`, but with twice as many pixels in each size). | | `markers` | String | Conditional | Marker settings - Must be entered when not entering `center`, `level`. - Display map with zoom level and position optimized for the set marker if `center`, `level` are not entered. - Up to 20 can be entered. - You can set options separated by "\| (pipe char)". - See [`markers`](/docs/en/ai-naver-mapsstaticmap-raster#markers). - Example: `markers=type:n\\|size:tiny\\|color:Blue\\|pos:126.9810479%2037.5695075&markers=type:d\\|size:mid\\|color:Default\\|pos:123.524712%2024.1236547` | | `lang` | String | Optional | Label language - `ko` (default) \| `en` \| `ja` \| `zh` - `ko`: Korean - `en`: English - `ja`: Japanese - `zh`: Chinese (Simplified) | | `dataversion` | String | Optional | Version information - Image caching in the Static Map API entered to resolve an issue where background tile updates from the origin server are not reflected when the client requests the same URL. - It is recommended to be entered when there are recency issues with background tiles. - Version information is updated periodically, so batch operations are recommended for efficiency. - It is recommended to set the number of daily checks according to the recommended update cycle (`interval`) to save the version information checked at a set time and use it when calling the Static Map API. - `version` can be checked through [Data Version API](/docs/en/ai-naver-mapsstaticmap-raster#DataVersionAPI). | #### `markers` The following describes `markers`. | Field | Value | Required | Description | | --- | --- | --- | --- | | `type` | String | Optional | Marker type - `d` (default) \| `n` \| `a` \| `t` \| `e` - `d`: Default - `n`: Number - `a`: Alphabet - `t`: Tooltip - `e`: Custom | | `size` | String | Optional | Marker size - `tiny` \| `small` \| `mid` (default) - If `tiny`, `label` is not displayed even if it is entered. | | `color` | String | Optional | Marker color - Enter a predefined color value or 24-bit color value format. - `Default` (default) \| `Blue` \| `Orange` \| `Yellow` \| `Red` \| `Brown` \| `Green` \| `Purple` \| `Gray` - `Default`: `0x08DA76` - `Blue`: `0x029DFF` - `Orange`: `0xFE8C52` - `Yellow`: `0xFFBA01` - `Red`: `0xFF6355` - `Brown`: `0xA4885B` - `Green`: `0x63AA41` - `Purple`: `0xD182C8` - `Gray`: `0x666666` | | `label` | String | Optional | Marker label - A-Z, 0-9 - Display only markers when not entered. - If `type` is `tiny`, it is not displayed even if it is entered. | | `pos` | String | Required | Marker position (X, Y coordinates) - Multiple coordinates can be entered, separated by ",". - Example: `pos:126.9810479,2037.5695075,2C126.9950680,2037.5672557` | | `viewSizeRatio` | Float | Optional | Marker size ratio - Scale marker size based on default design by `type` and `size`. - 0.1-2.0 (default: 0.1) - Enter up to one decimal place, `0.1` for less than 0.1, `2.0` for more than 2.0. | | `icon` | String | Conditional | Custom marker icon URL - Must be entered if `type` is `e`. - PNG and SVG files supported. - Example: `icon:http://aaa/bbb.svg` | | `anchor` | String, Double | Optional | Marker display position - Can be entered only if `type` is `e`. - It is the offset of the marker image position from the map image; set when you need to fine-tune the marker display position. - When entered as String type. - `top` \| `bottom` (default) \| `left` \| `right` \| `center` \| `topleft` \| `topright` \| `bottomleft` \| `bottomright` - `top`: Center top (0.5, 0.0) - `bottom`: Center bottom (0.5, 1.0) - `left`: Center left (0.0, 0.5) - `right`: Center right (1.0, 0.5) - `center`: Center (0.5, 0.5) - `topleft`: Top left (0.0, 0.0) - `topright`: Top right (0.0, 1.0) - `bottomleft`: Bottom left (1.0, 0.0) - `bottomright`: Bottom right (1.0, 1.0) - When entered as Double type. - Can be entered up to two decimal places. - Example: `anchor:0.75,0.5` or `anchor:top` | Note Restrictions when setting up custom markers - The maximum size of a custom marker is 64 x 64 pixels by default, or 128 x 128 pixels if requested in high resolution (`scale=2`) for retina displays. - If there is no response from the custom marker request URL within 2 seconds, the operation is stopped. - Custom markers can be kept in an internal cache for up to 1 day, so if you change the marker image on the same URL, it may not reflect the change for up to 1 day. #### Data Version API The following describes the Data Version API. - Request | Method | URL | | --- | --- | | GET | https://naveropenapi.apigw.ntruss.com/map-static/v2/lastversion | - Response | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | - | Version information - `major_version.minor_version` format - `major_version`: Change on major updates, keep the same as the one-tile map major version (updated once every 2 months). - `minor_version`: Raise the version on minor updates (updated once or twice a month). | | `interval` | Long | - | Recommended update interval (second) | ### Request example The request example is as follows: Note This guide provides examples of using the ID-KEY authentication method. #### [`center`](/docs/en/ai-naver-mapsstaticmap-raster#center2) The following is a sample request for a map image with center coordinates (`center`) of `127.1054221, 37.3591614`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`level`](/docs/en/ai-naver-mapsstaticmap-raster#level2) The following is a sample request for a map image with zoom level (`level`) of `11`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`w`, `h`](/docs/en/ai-naver-mapsstaticmap-raster#wh2) The following is a sample request for a map image with size (`w` x `h`) of 300 x 200 pixels. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=200¢er=127.1054221,37.3591614&level=16' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`maptype=basic`](/docs/en/ai-naver-mapsstaticmap-raster#maptypebasic2) The following is a sample request for a map image with map type (`maptype`) of general map (`basic`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11&maptype=basic' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`maptype=traffic`](/docs/en/ai-naver-mapsstaticmap-raster#maptypetraffic2) The following is a sample request for a map image with map type (`maptype`) of traffic information map (`traffic`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11&maptype=traffic' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`maptype=satellite`](/docs/en/ai-naver-mapsstaticmap-raster#maptypesatellite2) The following is a sample request for a map image with map type (`maptype`) of satellite map (`satellite`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11&maptype=satellite' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`maptype=satellite_base`](/docs/en/ai-naver-mapsstaticmap-raster#maptypesatellite_base2) The following is a sample request for a map image with map type (`maptype`) of satellite background map (`satellite_base`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11&maptype=satellite_base' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`maptype=terrain`](/docs/en/ai-naver-mapsstaticmap-raster#maptypeterrain2) The following is a sample request for a map image with map type (`maptype`) of terrain map (`terrain`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=11&maptype=terrain' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`format=jpg`](/docs/en/ai-naver-mapsstaticmap-raster#formatjpg2) The following is a sample request for a map image with image format (`format`) of `jpg` (`jpeg`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16&format=jpg' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`format=png8`](/docs/en/ai-naver-mapsstaticmap-raster#formatpng82) The following is a sample request for a map image with image format (`format`) of `png8`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16&format=png8' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`format=png`](/docs/en/ai-naver-mapsstaticmap-raster#formatpng2) The following is a sample request for a map image with image format (`format`) of `png`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16&format=png' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`scale=1`](/docs/en/ai-naver-mapsstaticmap-raster#scale12) The following is a sample request for a map image with a low resolution (`scale=1`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16&scale=1' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`scale=2`](/docs/en/ai-naver-mapsstaticmap-raster#scale22) The following is a sample request for a map image with a high resolution (`scale=2`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300¢er=127.1054221,37.3591614&level=16&scale=2' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`lang=ko`](/docs/en/ai-naver-mapsstaticmap-raster#langko2) The following is a sample request for a map image with label language (`lang`) of Korean (`ko`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?crs=EPSG:4326&w=375&h=258¢er=126.96311062857343,37.50843783043817&level=16&lang=ko' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`lang=en`](/docs/en/ai-naver-mapsstaticmap-raster#langen2) The following is a sample request for a map image with label language (`lang`) of English (`en`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?crs=EPSG:4326&w=375&h=258¢er=126.96311062857343,37.50843783043817&level=16&lang=en' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`lang=ja`](/docs/en/ai-naver-mapsstaticmap-raster#langja2) The following is a sample request for a map image with label language (`lang`) of Japanese (`ja`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?crs=EPSG:4326&w=375&h=258¢er=126.96311062857343,37.50843783043817&level=16&lang=ja' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`lang=zh`](/docs/en/ai-naver-mapsstaticmap-raster#langzh2) The following is a sample request for a map image with label language (`lang`) of Chinese (Simplified) (`zh`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?crs=EPSG:4326&w=375&h=258¢er=126.96311062857343,37.50843783043817&level=16&lang=zh' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=size:tiny`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizetiny2) The following is a sample request for a map image with a default marker size (`size`) of `tiny`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:tiny|pos:127.1054221%2037.3591614' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=size:small`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizesmall2) The following is a sample request for a map image with a default marker size (`size`) of `small`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:small|pos:127.1054221%2037.3591614' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=size:mid`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizemid2) The following is a sample request for a map image with a default marker size (`size`) of `mid`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:mid|pos:127.1054221%2037.3591614' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=size:mid&markers=size:small&markers=size:tiny`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizemidsmalltiny2) The following is a sample request for a map image that displays all default markers with (`size`) of `mid`, `small`, and `tiny`. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:mid|pos:126.9865479%2037.5612557&markers=type:d|size:small|color:red|pos:126.9870479%2037.5695075%2C126.9950680%2037.5612557%2C126.9743160%2037.5620754&markers=type:d|size:tiny|color:green|pos:126.9810479%2037.5695075%2C126.9950680%2037.5672557%2C126.9843160%2037.5570754' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=color:red`](/docs/en/ai-naver-mapsstaticmap-raster#markerscolorred2) The following is a sample request for a map image with a default marker color (`color`) of red (`red`). - Request with predefined color value ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:small|pos:127.1054221%2037.3591614|color:red' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` - Request with 24-bit color value ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:small|pos:127.1054221%2037.3591614|color:0xFF6355' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=viewSizeRatio:0.5`](/docs/en/ai-naver-mapsstaticmap-raster#markersviewSizeRatio052) The following is a sample request for a map image that changes the ratio of the default marker size (`viewSizeRatio`) to 0.5 times (`0.5`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:mid|pos:127.1054221%2037.3591614|viewSizeRatio:0.5' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=viewSizeRatio:2.0`](/docs/en/ai-naver-mapsstaticmap-raster#markersviewSizeRatio202) The following is a sample request for a map image that changes the ratio of the default marker size (`viewSizeRatio`) to 2 times (`2.0`). ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:d|size:mid|pos:127.1054221%2037.3591614|viewSizeRatio:2.0' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=type:n|label:{number}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypenlabelnumber2) The following is a sample request for a map image that displays numeric markers. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:n|size:mid|pos:126.9865479%2037.5612557|label:1&markers=type:n|size:small|color:blue|pos:126.9870479%2037.5695075|label:2&markers=type:n|size:small|color:blue|pos:126.9950680%2037.5612557|label:3&markers=type:n|size:small|color:blue|pos:126.9743160%2037.5620754|label:4' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=type:a|label:{alphabet}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypealabelalphabet2) The following is a sample request for a map image that displays alphabetical markers. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&markers=type:a|size:mid|pos:126.9865479%2037.5612557|label:a&markers=type:a|size:small|color:blue|pos:126.9870479%2037.5695075|label:b&markers=type:a|size:small|color:blue|pos:126.9950680%2037.5612557|label:c&markers=type:a|size:small|color:blue|pos:126.9743160%2037.5620754|label:d' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=type:t|label:{tooltip}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypetlabeltooltip2) The following is a sample request for a map image that displays tooltip markers. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?crs=EPSG:4326&scale=1&format=png&w=375&h=258&markers=type:t|pos:126.9616187%2037.507435|label:%EB%8F%99%EC%9E%91%EA%B5%AC,%20%EC%84%9C%EC%B4%88%EA%B5%AC,%20%EA%B4%80%EC%95%85%EA%B5%AC&markers=type:t|color:blue|pos:126.96060539999999%2037.507685699999996|label:%EB%8F%99%EC%9E%91%EA%B5%AC,%20%EC%84%9C%EC%B4%88%EA%B5%AC,%20%EC%9A%A9%EC%82%B0%EA%B5%AC%20%EB%B0%A9%EB%A9%B4&markers=type:t|color:0xEE3A3A|pos:126.9616377%2037.506708950000004|label:%EB%8F%99%EC%9E%91%EA%B5%AC,%20%EC%84%9C%EC%B4%88%EA%B5%AC,%20%EC%9A%A9%EC%82%B0%EA%B5%AC%20%EB%B0%A9%EB%A9%B4' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` #### [`markers=type:e`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypee2) The following is a sample request for a map image that displays custom markers. ``` curl --location --request GET 'https://naveropenapi.apigw.ntruss.com/map-static/v2/raster?w=300&h=300&scale=2&markers=type:e|anchor:center|icon:https://aaa.bbb.com/icon/construction-medium@2x.png|pos:127.0597827%2037.5118871' \ --header 'x-ncp-apigw-api-key-id: {API Key ID}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response status codes The following describes the response status codes. | HTTP status code | Code | Message | Description | | --- | --- | --- | --- | | 400 | 100 | Bad request | Invalid parameters entered in the request | | 500 | 900 | Internal error | Maps server error - Solution: Try again after a while, and contact [Support](https://www.ncloud.com/support/question/service) if the issue persists. | | 503 | 500 | Service Unavailable | Temporary unavailable due to system maintenance - Solution: Try again in after a while. | | 504 | 510 | Gateway Timeout | Temporarily unavailable due to system overload - Solution: Try again in after a while. | Note For information about the HTTP status codes common to all Maps APIs, see [Common Maps response status codes](/docs/en/ainaverapi-maps-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### [`center`](/docs/en/ai-naver-mapsstaticmap-raster#center1) The following is a sample response for a map image with center coordinates (`center`) of `127.1054221, 37.3591614`. ![ai-naver-mapsstaticmap-raster_center](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_center.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`level`](/docs/en/ai-naver-mapsstaticmap-raster#level1) The following is a sample response for a map image with zoom level (`level`) of `11`. ![ai-naver-mapsstaticmap-raster_level](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_level.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`w`, `h`](/docs/en/ai-naver-mapsstaticmap-raster#wh1) The following is a sample response for a map image with size (`w` x `h`) of 300 x 200 pixels. ![ai-naver-mapsstaticmap-raster_wh](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_wh.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`maptype=basic`](/docs/en/ai-naver-mapsstaticmap-raster#maptypebasic1) The following is a sample response for a map image with map type (`maptype`) of general map (`basic`). ![ai-naver-mapsstaticmap-raster_maptype-basic](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_maptype-basic.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`maptype=traffic`](/docs/en/ai-naver-mapsstaticmap-raster#maptypetraffic1) The following is a sample response for a map image with map type (`maptype`) of traffic information map (`traffic`). ![ai-naver-mapsstaticmap-raster_maptype-traffic](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_maptype-traffic.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`maptype=satellite`](/docs/en/ai-naver-mapsstaticmap-raster#maptypesatellite1) The following is a sample response for a map image with map type (`maptype`) of satellite map (`satellite`). ![ai-naver-mapsstaticmap-raster_maptype-satellite](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_maptype-satellite.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`maptype=satellite_base`](/docs/en/ai-naver-mapsstaticmap-raster#maptypesatellite_base1) The following is a sample response for a map image with map type (`maptype`) of satellite background map (`satellite_base`). ![ai-naver-mapsstaticmap-raster_maptype-satellite_base](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_maptype-satellite_base.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`maptype=terrain`](/docs/en/ai-naver-mapsstaticmap-raster#maptypeterrain1) The following is a sample response for a map image with map type (`maptype`) of terrain map (`terrain`). ![ai-naver-mapsstaticmap-raster_maptype-terrian](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_maptype-terrian.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`format=jpg`](/docs/en/ai-naver-mapsstaticmap-raster#formatjpg1) The following is a sample response for a map image with image format (`format`) of `jpg` (`jpeg`). ![ai-naver-mapsstaticmap-raster_format-jpg](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_format-jpg.jpg?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`format=png8`](/docs/en/ai-naver-mapsstaticmap-raster#formatpng81) The following is a sample response for a map image with image format (`format`) of `png8`. ![ai-naver-mapsstaticmap-raster_format-png8](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_format-png8.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`format=png`](/docs/en/ai-naver-mapsstaticmap-raster#formatpng1) The following is a sample response for a map image with image format (`format`) of `png`. ![ai-naver-mapsstaticmap-raster_format-png](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_format-png.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`scale=1`](/docs/en/ai-naver-mapsstaticmap-raster#scale11) The following is a sample response for a map image with a low resolution (`scale=1`). ![ai-naver-mapsstaticmap-raster_scale1](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_scale1.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`scale=2`](/docs/en/ai-naver-mapsstaticmap-raster#scale21) The following is a sample response for a map image with a high resolution (`scale=2`). ![ai-naver-mapsstaticmap-raster_scale2](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_scale2.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`lang=ko`](/docs/en/ai-naver-mapsstaticmap-raster#langko1) The following is a sample response for a map image with label language (`lang`) of Korean (`ko`). ![ai-naver-mapsstaticmap-raster_lang-ko](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_lang-ko.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`lang=en`](/docs/en/ai-naver-mapsstaticmap-raster#langen1) The following is a sample response for a map image with label language (`lang`) of English (`en`). ![ai-naver-mapsstaticmap-raster_lang-en](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_lang-en.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`lang=ja`](/docs/en/ai-naver-mapsstaticmap-raster#langja1) The following is a sample response for a map image with label language (`lang`) of Japanese (`ja`). ![ai-naver-mapsstaticmap-raster_lang-ja](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_lang-ja.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`lang=zh`](/docs/en/ai-naver-mapsstaticmap-raster#langzh1) The following is a sample response for a map image with label language (`lang`) of Chinese (Simplified) (`zh`). ![ai-naver-mapsstaticmap-raster_lang-zh](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_lang-zh.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=size:tiny`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizetiny1) The following is a sample response for a map image with a default marker size (`size`) of `tiny`. ![ai-naver-mapsstaticmap-raster_markersize-tiny](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersize-tiny.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=size:small`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizesmall1) The following is a sample response for a map image with a default marker size (`size`) of `small`. ![ai-naver-mapsstaticmap-raster_markersize-small](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersize-small.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=size:mid`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizemid1) The following is a sample response for a map image with a default marker size (`size`) of `mid`. ![ai-naver-mapsstaticmap-raster_markersize-mid](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersize-mid.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=size:mid&markers=size:small&markers=size:tiny`](/docs/en/ai-naver-mapsstaticmap-raster#markerssizemidsmalltiny1) The following is a sample response for a map image that displays all default markers with (`size`) of `mid`, `small`, and `tiny`. ![ai-naver-mapsstaticmap-raster_markersize-midsmalltiny](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersize-midsmalltiny.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=color:red`](/docs/en/ai-naver-mapsstaticmap-raster#markerscolorred1) The following is a sample response for a map image with a default marker color (`color`) of red (`red`). ![ai-naver-mapsstaticmap-raster_markers-color](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markers-color.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=viewSizeRatio:0.5`](/docs/en/ai-naver-mapsstaticmap-raster#markersviewSizeRatio051) The following is a sample response for a map image that changes the ratio of the default marker size (`viewSizeRatio`) to 0.5 times (`0.5`). ![ai-naver-mapsstaticmap-raster_markersizeratio1](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersizeratio1.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=viewSizeRatio:2.0`](/docs/en/ai-naver-mapsstaticmap-raster#markersviewSizeRatio201) The following is a sample response for a map image that changes the ratio of the default marker size (`viewSizeRatio`) to 2 times (`2.0`). ![ai-naver-mapsstaticmap-raster_markersizeratio2](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markersizeratio2.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=type:n|label:{number}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypenlabelnumber1) The following is a sample response for a map image that displays numeric markers. ![ai-naver-mapsstaticmap-raster_markerslabel-number](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markerslabel-number.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=type:a|label:{alphabet}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypealabelalphabet1) The following is a sample response for a map image that displays alphabetical markers. ![ai-naver-mapsstaticmap-raster_markerslabel-alphabet](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markerslabel-alphabet.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=type:t|label:{tooltip}`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypetlabeltooltip1) The following is a sample response for a map image that displays tooltip markers. ![ai-naver-mapsstaticmap-raster_markerslabel-text](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markerslabel-text.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D) #### [`markers=type:e`](/docs/en/ai-naver-mapsstaticmap-raster#markerstypee1) The following is a sample response for a map image that displays custom markers. ![ai-naver-mapsstaticmap-raster_markers-custom](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/ai-naver-mapsstaticmap-raster_markers-custom.png?sv=2026-02-06&spr=https&st=2026-11-14T04%3A48%3A11Z&se=2026-11-14T05%3A48%3A11Z&sr=c&sp=r&sig=6xxcNu8yJ3ASHDku7%2FbIuvWz2dMzjczQS5aarByVoHo%3D)